${GOBJECT_INSTROSPECTION}: ${GLIB} ${LIBFFI}
${POLKIT}: ${GOBJECT_INSTROSPECTION} ${EGGDBUS}
-${GNOME_KEYRING}: ${LIBTASN1}
-
${HELP2MAN}: ${PERL}
${BITBAKE}: ${HELP2MAN}
${LILYPOND}: fontforge mftrace t1utils autotrace
${TANGO}: ${PERL_MOD_XML_SIMPLE} ${PERL_MOD_PARSE_REDESCENT}
+
+${LIBGPG_ERROR}:
+${LIBGCRYPT}: ${LIBGPG_ERROR}
+${LIBTASN1}:
+${GUILE}:
+${GNUTLS}: ${LIBGCRYPT} ${LIBTASN1} ${GUILE}
+
+${LIBIDL}: ${GLIB}
+${ORBIT2}: ${LIBIDL} ${OPENSSL}
+${GCONF}: ${ORBIT2} ${POLKIT} ${GTK}
+${LIBPROXY}: ${GCONF}
+${GNOME_KEYRING}: ${GCONF} ${LIBTASN1} ${LIBGCRYPT}
+${LIBSOUP}: ${GNUTLS} ${GNOME_KEYRING} ${LIBPROXY} ${SQLITE} ${LIBXML2}
GAWK="gawk-3.1.7"
GC="gc6.8"
-GCC_CORE="gcc-4.4.2"
-ARM_GCC_CORE=${GCC_CORE}
-AVR_GCC_CORE=${GCC_CORE}
+GCC="gcc-4.4.2"
GDB="gdb-6.4"
GDBM="gdbm-1.8.3"
GIT="git-1.6.6.1"
GUTENPRINT="gutenprint-5.2.5"
GLIB="glib-2.22.4"
GLIBMM="glibmm-2.22.1"
-#####GLITZ="glitz-0.5.6" #DEPRECATED
+GLITZ="glitz-0.5.6"
# GNOME2 core packages
GNOME2_VER="gnome-2.28.1"
GDM="gdm-2.28.1"
GMP="gmp-4.3.1"
GNOME_MOUNT="gnome-mount-0.6"
-GNUTLS="gnutls-1.6.3"
+GNUTLS="gnutls-2.8.5"
GOBJECT_INSTROSPECTION="gobject-introspection-0.6.5"
GOFFICE="goffice-0.2.2"
GNUMERIC="gnumeric-1.6.3"
INTLTOOL="intltool-0.40.6"
IPROUTE2="iproute2-2.6.29-1"
IPTABLES="iptables-1.3.8"
-ISO_CODES="iso-codes-1.2"
+ISO_CODES="iso-codes-3.11"
JACK="jack-audio-connection-kit-0.103.0"
JADETEX="jadetex-3.13"
LIBFAAC="faac-1.28"
LIBFFI="libffi-3.0.8"
LIBGAMIN="gamin-0.1.9"
+LIBGCRYPT="libgcrypt-1.4.5"
LIBGEDA="libgeda-1.2.0"
LIBGLADE="libglade-2.6.4"
+LIBGPG_ERROR="libgpg-error-1.7"
LIBGSF="libgsf-1.14.7"
LIBID3TAG="libid3tag-0.15.1b"
LIBIDL="libIDL-0.8.13"
LIBOPENJPEG="libopenjpeg-1.2"
LIBPCAP="libpcap-1.0.0"
LIBPNG="libpng-1.2.39"
+LIBPROXY="libproxy-0.2.3"
LIBPTHREAD_STUBS="libpthread-stubs-0.1"
LIBRSVG="librsvg-2.26.0"
LIBSAMPLERATE="libsamplerate-0.1.2"
LIBSNDFILE="libsndfile-1.0.18pre18"
LIBSOUP="libsoup-2.28.2"
LIBSPF2="libspf2-1.2.5"
-LIBTASN1="libtasn1-2.2"
+LIBTASN1="libtasn1-2.3"
LIBTHEORA="libtheora-1.0"
LIBTOOL="libtool-2.2.6a"
LIBVORBIS="libvorbis-1.2.3"
PROCPS="procps-3.2.8"
PSMISC="psmisc-22.9"
PULSEAUDIO="pulseaudio-0.9.12"
-PYTHON="Python-2.6.4"
+PYCAIRO="pycairo-1.8.8"
PYGOBJECT="pygobject-2.20.0"
PYGTK="pygtk-2.16.0"
+PYTHON="Python-2.6.4"
READLINE="readline-6.1"
REISERFSPROGS="reiserfsprogs-3.6.21"
+++ /dev/null
-#!/bin/sh
-set -o errexit
-
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1}
-
-cd ${LFS_TMP}/${1}-build
-../${1}/configure \
- --prefix=/usr \
- --libexecdir=/usr/sbin \
- --with-x-toolkit=gtk
-make bootstrap
-make install
-ldconfig
-
-install -m644 ${SCRDIR}/resources/emacs/emacsrc /etc/skel/.emacs
-install -m644 ${SCRDIR}/resources/emacs/emacsrc /root/.emacs
-
-LOCAL_SITE_LIST=/usr/local/share/emacs/site-lisp
-
-install -v -m644 -d ${LOCAL_SITE_LIST}
-install -m644 ${SCRDIR}/resources/emacs/buffer-cycle.el ${LOCAL_SITE_LIST}
-
-exit $?
+++ /dev/null
-;; buffer-cycle.el
-(defun filter (pred lst)
- (delq nil
- (mapcar (lambda (x)
- (and (funcall pred x) x)) lst)))
-
-(defun filter-regexp (pattern lst)
- (filter (lambda (str)
- (string-match pattern str)) lst))
-
-(defun cycle-buffer (&optional n)
- (let ((buffers (filter (lambda (buffer)
- (not (string-match "\*" (buffer-name buffer))))
- (buffer-list (selected-frame)))))
- (switch-to-buffer
- (if (< n 0)
- (nth (+ (length buffers) n)
- buffers)
- (bury-buffer)
- (nth n buffers)))))
-
-(defun cycle-buffer-next ()
- (interactive)
- (cycle-buffer -1))
-
-(defun cycle-buffer-prev ()
- (interactive)
- (cycle-buffer 1))
+++ /dev/null
-;; ~/.emacs
-
-;; Emacs initialization file.
-;; Font Lock mode, Auto Compression mode, File Name Shadow
-;; Mode, and mouse wheel support are enabled by default.
-
-;; Do not display a splash screen on startup
-(setq inhibit-splash-screen t)
-
-;; Emacs Load Path
-(setq load-path (cons "/usr/local/share/emacs/site-lisp" load-path))
-
-;; Affichage du numéro de colonne
-(setq column-number-mode t)
-
-;; Always end a file with a newline
-(setq require-final-newline t)
-
-;; Stop at the end of the file, not just add lines
-(setq next-line-add-newlines nil)
-
-;; Replaces tabs in files with spaces
-(setq-default indent-tabs-mode nil)
-
-;; Makes the compilation buffer always scrolls to follow
-;; output as it comes in.
-(setq compilation-scroll-output t)
-
-;; Pour avoir les accents
-(set-keyboard-coding-system 'utf-8)
-
-;; Set up the keyboard so the delete key on both the regular keyboard
-;; and the keypad delete the character under the cursor and to the right
-;; under X, instead of the default, backspace behavior.
-(global-set-key [delete] 'delete-char)
-(global-set-key [kp-delete] 'delete-char)
-
-;; For an unknow reason, the CTRL+RIGHT and RIGHT keys seem
-;; to be inveerted...
-
-;; Map RIGHT and LEFT
-;;(global-set-key [(meta O) (D)] 'backward-char)
-;;(global-set-key [(meta O) (C)] 'forward-char)
-;; Map CTRL+RIGHT and CTRL+LEFT
-(global-set-key [C-right] 'forward-word)
-(global-set-key [C-left] 'backward-word)
-
-;; Map Home key to beginning-of-buffer
-(global-set-key "\e[1~" 'beginning-of-buffer)
-;; Map End key to end-of-buffer
-(global-set-key "\e[4~" 'end-of-buffer)
-
-;;===========================================================
-;; Key bindings for compiling programs
-;;===========================================================
-;; Must add helper function for the make also, otherwise
-;; the first definition caused both F3 and F4 to execute "make clean".
-(defun compile-make-clean ()
- (interactive) ;; can be called from kbd
- (compile "make clean"))
-
-(defun compile-make ()
- (interactive)
- (compile "make"))
-
-(defun checkpatch()
- (interactive)
- (compile (concat "checkpatch.pl --no-tree --emacs --strict --file " (buffer-file-name))))
-
-;; buffer-cycle.el
-;; F1: Switch to previous buffers
-(autoload 'cycle-buffer-prev "buffer-cycle" t)
-(global-set-key [f1] 'cycle-buffer-prev)
-;; F2: Switch to next buffers
-(autoload 'cycle-buffer-next "buffer-cycle" t)
-(global-set-key [f2] 'cycle-buffer-next)
-
-;; F4: make clean
-(global-set-key [f4] 'compile-make-clean)
-
-;; F5: make
-(global-set-key [f5] 'compile-make)
-
-;; F6: go to next error
-(global-set-key [f6] 'next-error)
-
-;; F7: comment region
-(global-set-key [f7] 'comment-region)
-
-;; F8: code indentation
-(global-set-key [f8] 'indent-region)
-
-;; F9: run checkpatch.pl
-(global-set-key [f9] 'checkpatch)
-
-;;==================================================
-;; Modes
-;;==================================================
-
-(defun linux-c-mode ()
- "C mode with adjusted defaults for use with the Linux kernel."
- (interactive)
- (c-mode)
- (c-set-style "K&R")
- ;; Replaces tabs in files with spaces
- (setq indent-tabs-mode t)
- (setq c-basic-offset 8))
-
-(defun csv-mode ()
- "CSV mode."
- (interactive)
- (setq indent-tabs-mode t)
-)
-
-;; Default for .h and .d files -> linux mode.
-(add-to-list 'auto-mode-alist '("\.[ch]$" . linux-c-mode))
-
-;; Verilog mode
-(autoload 'verilog-mode "verilog-mode" "Verilog mode" t)
-(add-to-list 'auto-mode-alist '("\\.v\\'" . verilog-mode))
-
-;; PHP mode
-(autoload 'php-mode "php-mode" "PHP mode" t)
-(add-to-list 'auto-mode-alist '("\\.php\\'" . php-mode))
-
-;; ChordPro mode
-(autoload 'chordpro-mode "chordpro-mode" "Chordpro mode" t)
-(add-to-list 'auto-mode-alist '("\\.cp\\'" . chordpro-mode))
-(add-to-list 'auto-mode-alist '("\\.chopro\\'" . chordpro-mode))
-
-;; Lilypond mode
-(autoload 'LilyPond-mode "lilypond-mode" "LilyPond Editing Mode" t)
-(add-to-list 'auto-mode-alist '("\\.ly$" . LilyPond-mode))
-(add-to-list 'auto-mode-alist '("\\.ily$" . LilyPond-mode))
-
-;; CSV mode
-(add-to-list 'auto-mode-alist '("\\.csv$" . csv-mode))
-
-;; Mutt mode
-(autoload 'muttrc-mode "muttrc-mode" "Major mode to edit muttrc files" t)
-(add-to-list 'auto-mode-alist '("muttrc\\'" . muttrc-mode))
-
-;; When an Emacs init file gets large or has a lot of function definitions, you
-;; should consider compiling it: it will load faster when Emacs starts, and its
-;; functions will execute faster.
-;; Here is a way to automatically compile your InitFile each time you save it:
-(defun byte-compile-user-init-file ()
- (let ((byte-compile-warnings '(unresolved)))
- ;; in case compilation fails, don't leave the old .elc around:
- (when (file-exists-p (concat user-init-file ".elc"))
- (delete-file (concat user-init-file ".elc")))
- (byte-compile-file user-init-file)
- ;; (message "%s compiled" user-init-file)
- ))
-(defun my-emacs-lisp-mode-hook ()
- (when (equal buffer-file-name user-init-file)
- (add-hook 'after-save-hook 'byte-compile-user-init-file t t)))
-(add-hook 'emacs-lisp-mode-hook 'my-emacs-lisp-mode-hook)
-
-(custom-set-variables
- ;; custom-set-variables was added by Custom.
- ;; If you edit it by hand, you could mess it up, so be careful.
- ;; Your init file should contain only one such instance.
- ;; If there is more than one, they won't work right.
- '(column-number-mode t)
- '(current-language-environment "UTF-8"))
-(custom-set-faces
- ;; custom-set-faces was added by Custom.
- ;; If you edit it by hand, you could mess it up, so be careful.
- ;; Your init file should contain only one such instance.
- ;; If there is more than one, they won't work right.
- '(default ((t (:background "black" :foreground "white" :bold t))))
- '(font-lock-comment-face ((t (:foreground "red" :bold t))))
- '(font-lock-constant-face ((t (:foreground "magenta" :bold t))))
- '(font-lock-function-name-face ((t (:foreground "blue" :bold t))))
- '(font-lock-keyword-face ((t (:foreground "cyan" :bold t))))
- '(font-lock-string-face ((t (:foreground "green" :bold t))))
- '(font-lock-type-face ((t (:foreground "red" :bold t))))
- '(font-lock-variable-name-face ((t (:foreground "yellow" :bold t))))
- '(font-lock-warning-face ((t (:foreground "magenta" :bold t)))))
--- /dev/null
+#!/bin/sh
+set -o errexit
+
+# First argument of this script is the package name
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# Applying patches (if any)
+apply_patches ${1}
+
+cd ${LFS_TMP}/${1}-build
+../${1}/configure \
+ --prefix=/usr \
+ --libexecdir=/usr/sbin \
+ --with-x-toolkit=gtk
+make bootstrap
+make install
+ldconfig
+
+install -m644 ${SCRDIR}/resources/emacs/emacsrc /etc/skel/.emacs
+install -m644 ${SCRDIR}/resources/emacs/emacsrc /root/.emacs
+
+LOCAL_SITE_LIST=/usr/local/share/emacs/site-lisp
+
+install -v -m644 -d ${LOCAL_SITE_LIST}
+install -m644 ${SCRDIR}/resources/emacs/buffer-cycle.el ${LOCAL_SITE_LIST}
+
+exit $?
--- /dev/null
+#!/bin/sh
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# Common installation script
+./cis-gnome ${*}
+
+# Custom post-installation
+install -v -m755 -d /etc/gnome/${GNOME2_VER}/gconf/gconf.xml.system &&
+
+# Configure D-Bus so that it can search for GNOME installed .conf files
+# (This is assuming that system-local.conf does not exist yet. If it does,
+# then you will need to merge in the changes):
+dbusfile=/etc/dbus-1/system-local.conf &&
+if [ -f ${dbusfile} ]; then
+ cat ${dbusfile} >> ${dbusfile}.old
+ echo "Warning, file ${dbusfile} already exists,"
+ echo "appending content to \"${dbusfile}.old\""
+fi &&
+
+cat > ${dbusfile} << "EOF" &&
+<!DOCTYPE busconfig PUBLIC
+ "-//freedesktop//DTD D-BUS Bus Configuration 1.0//EN"
+ "http://www.freedesktop.org/standards/dbus/1.0/busconfig.dtd">
+<busconfig>
+
+EOF
+echo " <!-- Search for .conf files in /etc/gnome/${GNOME2_VER}/dbus-1/system.d -->" >> ${dbusfile} &&
+echo " <includedir>/etc/gnome/${GNOME2_VER}/dbus-1/system.d</includedir>" >> ${dbusfile} &&
+echo "</busconfig>" >> ${dbusfile}
+
+exit $?
--- /dev/null
+#!/bin/sh
+# First argument of this script is the package name.
+# Remaining arguments are additional configure options.
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+PACKAGE=${1}
+shift
+CONFIGURE_OPTS=${*}
+
+# Applying patches (if any)
+apply_patches ${PACKAGE} &&
+
+cd ${LFS_TMP}/${PACKAGE}-build &&
+../${PACKAGE}/configure \
+ --prefix=${GNOME2_PREFIX} \
+ --libexecdir=${GNOME2_PREFIX}/sbin \
+ --sysconfdir=/etc/gnome/${GNOME2_VER} \
+ --localstatedir=/var/lib \
+ ${CONFIGURE_OPTS} &&
+make &&
+make install &&
+ldconfig
+
+exit $?
--- /dev/null
+#!/bin/sh
+# First argument of this script is the package name
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# For Gnome 2 variables
+var_add_path "PATH" /etc/profile "/opt/${GNOME2_VER}/bin" &&
+var_export "PATH" /etc/profile &&
+var_add_path "PKG_CONFIG_PATH" /etc/profile "/opt/${GNOME2_VER}/lib/pkgconfig" &&
+var_add_path "PKG_CONFIG_PATH" /etc/profile "/opt/${GNOME2_VER}/share/pkgconfig" &&
+var_export "PKG_CONFIG_PATH" /etc/profile &&
+var_add_path "LIBGLADE_MODULE_PATH" /etc/profile "${GNOME2_PREFIX}/lib/libglade/2.0" &&
+var_export "LIBGLADE_MODULE_PATH" /etc/profile &&
+var_add_path "XDG_CONFIG_DIRS" /etc/profile "/etc/gnome/${GNOME2_VER}/xdg" &&
+var_export "XDG_CONFIG_DIRS" /etc/profile &&
+
+# For Gnome 1 and 2 common variable
+var_add_path "GNOME_LIBCONFIG_PATH" /etc/profile "/usr/lib" &&
+var_export "GNOME_LIBCONFIG_PATH" /etc/profile &&
+
+string_add "/opt/${GNOME2_VER}/lib" /etc/ld.so.conf &&
+
+var_add_path "MANPATH" /etc/profile "/opt/${GNOME2_VER}/man" &&
+var_export "MANPATH" /etc/profile &&
+
+# There is a third mechanism for customizing the search path. If a
+# `dirlist' file exists in acdir, then that file is assumed to contain a
+# list of directories, one per line, to be added to the search list. These
+# directories are searched after all other directories.
+touch /usr/share/aclocal/dirlist &&
+string_add "/opt/${GNOME2_VER}/share/aclocal" /usr/share/aclocal/dirlist &&
+
+cat > /etc/skel/.gtkrc-2.0 << "EOF" &&
+gtk-icon-theme-name="Tango"
+EOF
+
+ldconfig
+
+# Return last error
+exit $?
--- /dev/null
+#!/bin/sh
+# First argument of this script is the package name
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# Applying patches (if any)
+apply_patches ${1} &&
+
+cd ${LFS_TMP}/${1} &&
+./configure \
+ --prefix=${GNOME2_PREFIX} \
+ --libexecdir=${GNOME2_PREFIX}/sbin \
+ --infodir=${GNOME2_PREFIX}/share/info \
+ --localstatedir=/var/lib \
+ --sysconfdir=/etc/gnome/${GNOME2_VER} &&
+make &&
+make install &&
+ldconfig
+
+# Return last error
+exit $?
--- /dev/null
+#!/bin/sh
+# First argument of this script is the package name.
+# Remaining arguments are additional configure options.
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+PACKAGE=${1}
+shift
+CONFIGURE_OPTS=${*}
+
+# Applying patches (if any)
+apply_patches ${PACKAGE} &&
+
+cd ${LFS_TMP}/${PACKAGE}-build &&
+../${PACKAGE}/configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ ${CONFIGURE_OPTS} &&
+make &&
+make pkgconfigdir=/usr/lib/pkgconfig install &&
+ldconfig
+
+# Return last error
+exit $?
export TEST_INTEGRITY=1
fi
+GNUPG_URL="ftp://ftp.gnupg.org/gcrypt"
+
# Gtk
fpkg_gnome ${GTK_DOC}
-######fpkg ${GLITZ} "http://cairographics.org/snapshots"
+fpkg ${GLITZ} "http://cairographics.org/snapshots"
fpkg ${CAIRO} "http://cairographics.org/releases"
fpkg ${CAIROMM} "http://cairographics.org/releases"
fpkg_gnome ${PANGO}
fpkg_gnome ${GTK}
fpkg_gnome ${GTK_ENGINES}
fpkg_gnome ${PYGOBJECT}
+fpkg ${PYCAIRO} "http://cairographics.org/releases"
fpkg_gnome ${PYGTK}
fpkg_gnome ${LIBSIGCPP}
fpkg ${GC} " http://www.hpl.hp.com/personal/Hans_Boehm/gc/gc_source"
fpkg ${SHARED_MIME_INFO} "http://people.freedesktop.org/~hadess"
fpkg_gnome ${STARTUP_NOTIFICATION}
fpkg_gnome ${LIBWNCK}
+fpkg ${ISO_CODES} ftp://pkg-isocodes.alioth.debian.org/pub/pkg-isocodes
fpkg_sf ${LIBXKLAVIER} gswitchit
fpkg_gnome ${LIBGLADE}
-fpkg_gnome ${LIBSOUP}
+fpkg_gnu ${LIBTASN1}
+fpkg_gnu ${GUILE}
+fpkg -s "libgpg-error" ${LIBGPG_ERROR} ${GNUPG_URL}
+fpkg -s "libgcrypt" ${LIBGCRYPT} ${GNUPG_URL}
+fpkg -s "gnutls" ${GNUTLS} ${GNUPG_URL}
fpkg_gnome ${LIBIDL}
+fpkg_gnome ${ORBIT2}
+fpkg_gnome ${GCONF}
+fpkg ${LIBPROXY} "http://libproxy.googlecode.com/files"
+fpkg_gnome ${GNOME_KEYRING}
+fpkg_gnome ${LIBSOUP}
+
+
fpkg_gnu ${HELP2MAN}
fpkg_gnu ${GSL}
fpkg_hv ${BRIDGE_UTILS}
fpkg_hv ${UML_UTILITIES}
-fpkg_gnu ${GUILE}
-
fpkg ${TRANSMISSION} "http://mirrors.m0k.org/transmission/files"
fpkg_hv ${CKERMIT}
fpkg ${LIBGAMIN} "ftp://ftp.linux.ee/pub/gentoo/distfiles/distfiles"
fpkg_sf ${PCMANFM}
-fpkg ${GNUPG} "ftp://ftp.gnupg.org/gcrypt/gnupg"
+fpkg -s "gnupg" ${GNUPG} "ftp://ftp.gnupg.org/gcrypt"
exit $?
--- /dev/null
+;; buffer-cycle.el
+(defun filter (pred lst)
+ (delq nil
+ (mapcar (lambda (x)
+ (and (funcall pred x) x)) lst)))
+
+(defun filter-regexp (pattern lst)
+ (filter (lambda (str)
+ (string-match pattern str)) lst))
+
+(defun cycle-buffer (&optional n)
+ (let ((buffers (filter (lambda (buffer)
+ (not (string-match "\*" (buffer-name buffer))))
+ (buffer-list (selected-frame)))))
+ (switch-to-buffer
+ (if (< n 0)
+ (nth (+ (length buffers) n)
+ buffers)
+ (bury-buffer)
+ (nth n buffers)))))
+
+(defun cycle-buffer-next ()
+ (interactive)
+ (cycle-buffer -1))
+
+(defun cycle-buffer-prev ()
+ (interactive)
+ (cycle-buffer 1))
--- /dev/null
+;; ~/.emacs
+
+;; Emacs initialization file.
+;; Font Lock mode, Auto Compression mode, File Name Shadow
+;; Mode, and mouse wheel support are enabled by default.
+
+;; Do not display a splash screen on startup
+(setq inhibit-splash-screen t)
+
+;; Emacs Load Path
+(setq load-path (cons "/usr/local/share/emacs/site-lisp" load-path))
+
+;; Affichage du numéro de colonne
+(setq column-number-mode t)
+
+;; Always end a file with a newline
+(setq require-final-newline t)
+
+;; Stop at the end of the file, not just add lines
+(setq next-line-add-newlines nil)
+
+;; Replaces tabs in files with spaces
+(setq-default indent-tabs-mode nil)
+
+;; Makes the compilation buffer always scrolls to follow
+;; output as it comes in.
+(setq compilation-scroll-output t)
+
+;; Pour avoir les accents
+(set-keyboard-coding-system 'utf-8)
+
+;; Set up the keyboard so the delete key on both the regular keyboard
+;; and the keypad delete the character under the cursor and to the right
+;; under X, instead of the default, backspace behavior.
+(global-set-key [delete] 'delete-char)
+(global-set-key [kp-delete] 'delete-char)
+
+;; For an unknow reason, the CTRL+RIGHT and RIGHT keys seem
+;; to be inveerted...
+
+;; Map RIGHT and LEFT
+;;(global-set-key [(meta O) (D)] 'backward-char)
+;;(global-set-key [(meta O) (C)] 'forward-char)
+;; Map CTRL+RIGHT and CTRL+LEFT
+(global-set-key [C-right] 'forward-word)
+(global-set-key [C-left] 'backward-word)
+
+;; Map Home key to beginning-of-buffer
+(global-set-key "\e[1~" 'beginning-of-buffer)
+;; Map End key to end-of-buffer
+(global-set-key "\e[4~" 'end-of-buffer)
+
+;;===========================================================
+;; Key bindings for compiling programs
+;;===========================================================
+;; Must add helper function for the make also, otherwise
+;; the first definition caused both F3 and F4 to execute "make clean".
+(defun compile-make-clean ()
+ (interactive) ;; can be called from kbd
+ (compile "make clean"))
+
+(defun compile-make ()
+ (interactive)
+ (compile "make"))
+
+(defun checkpatch()
+ (interactive)
+ (compile (concat "checkpatch.pl --no-tree --emacs --strict --file " (buffer-file-name))))
+
+;; buffer-cycle.el
+;; F1: Switch to previous buffers
+(autoload 'cycle-buffer-prev "buffer-cycle" t)
+(global-set-key [f1] 'cycle-buffer-prev)
+;; F2: Switch to next buffers
+(autoload 'cycle-buffer-next "buffer-cycle" t)
+(global-set-key [f2] 'cycle-buffer-next)
+
+;; F4: make clean
+(global-set-key [f4] 'compile-make-clean)
+
+;; F5: make
+(global-set-key [f5] 'compile-make)
+
+;; F6: go to next error
+(global-set-key [f6] 'next-error)
+
+;; F7: comment region
+(global-set-key [f7] 'comment-region)
+
+;; F8: code indentation
+(global-set-key [f8] 'indent-region)
+
+;; F9: run checkpatch.pl
+(global-set-key [f9] 'checkpatch)
+
+;;==================================================
+;; Modes
+;;==================================================
+
+(defun linux-c-mode ()
+ "C mode with adjusted defaults for use with the Linux kernel."
+ (interactive)
+ (c-mode)
+ (c-set-style "K&R")
+ ;; Replaces tabs in files with spaces
+ (setq indent-tabs-mode t)
+ (setq c-basic-offset 8))
+
+(defun csv-mode ()
+ "CSV mode."
+ (interactive)
+ (setq indent-tabs-mode t)
+)
+
+;; Default for .h and .d files -> linux mode.
+(add-to-list 'auto-mode-alist '("\.[ch]$" . linux-c-mode))
+
+;; Verilog mode
+(autoload 'verilog-mode "verilog-mode" "Verilog mode" t)
+(add-to-list 'auto-mode-alist '("\\.v\\'" . verilog-mode))
+
+;; PHP mode
+(autoload 'php-mode "php-mode" "PHP mode" t)
+(add-to-list 'auto-mode-alist '("\\.php\\'" . php-mode))
+
+;; ChordPro mode
+(autoload 'chordpro-mode "chordpro-mode" "Chordpro mode" t)
+(add-to-list 'auto-mode-alist '("\\.cp\\'" . chordpro-mode))
+(add-to-list 'auto-mode-alist '("\\.chopro\\'" . chordpro-mode))
+
+;; Lilypond mode
+(autoload 'LilyPond-mode "lilypond-mode" "LilyPond Editing Mode" t)
+(add-to-list 'auto-mode-alist '("\\.ly$" . LilyPond-mode))
+(add-to-list 'auto-mode-alist '("\\.ily$" . LilyPond-mode))
+
+;; CSV mode
+(add-to-list 'auto-mode-alist '("\\.csv$" . csv-mode))
+
+;; Mutt mode
+(autoload 'muttrc-mode "muttrc-mode" "Major mode to edit muttrc files" t)
+(add-to-list 'auto-mode-alist '("muttrc\\'" . muttrc-mode))
+
+;; When an Emacs init file gets large or has a lot of function definitions, you
+;; should consider compiling it: it will load faster when Emacs starts, and its
+;; functions will execute faster.
+;; Here is a way to automatically compile your InitFile each time you save it:
+(defun byte-compile-user-init-file ()
+ (let ((byte-compile-warnings '(unresolved)))
+ ;; in case compilation fails, don't leave the old .elc around:
+ (when (file-exists-p (concat user-init-file ".elc"))
+ (delete-file (concat user-init-file ".elc")))
+ (byte-compile-file user-init-file)
+ ;; (message "%s compiled" user-init-file)
+ ))
+(defun my-emacs-lisp-mode-hook ()
+ (when (equal buffer-file-name user-init-file)
+ (add-hook 'after-save-hook 'byte-compile-user-init-file t t)))
+(add-hook 'emacs-lisp-mode-hook 'my-emacs-lisp-mode-hook)
+
+(custom-set-variables
+ ;; custom-set-variables was added by Custom.
+ ;; If you edit it by hand, you could mess it up, so be careful.
+ ;; Your init file should contain only one such instance.
+ ;; If there is more than one, they won't work right.
+ '(column-number-mode t)
+ '(current-language-environment "UTF-8"))
+(custom-set-faces
+ ;; custom-set-faces was added by Custom.
+ ;; If you edit it by hand, you could mess it up, so be careful.
+ ;; Your init file should contain only one such instance.
+ ;; If there is more than one, they won't work right.
+ '(default ((t (:background "black" :foreground "white" :bold t))))
+ '(font-lock-comment-face ((t (:foreground "red" :bold t))))
+ '(font-lock-constant-face ((t (:foreground "magenta" :bold t))))
+ '(font-lock-function-name-face ((t (:foreground "blue" :bold t))))
+ '(font-lock-keyword-face ((t (:foreground "cyan" :bold t))))
+ '(font-lock-string-face ((t (:foreground "green" :bold t))))
+ '(font-lock-type-face ((t (:foreground "red" :bold t))))
+ '(font-lock-variable-name-face ((t (:foreground "yellow" :bold t))))
+ '(font-lock-warning-face ((t (:foreground "magenta" :bold t)))))
# Scripts directory
export SCRDIR=$(pwd)
-# X-Window
if [ "x${INST_TYPE}" = "xworkstation" -o "x${INST_TYPE}" = "xltsp-server" ]; then
# Gtk
+ ipkg_ac ${LIBSIGCPP}
ipkg_ac ${GTK_DOC}
-##### ipkg_ac ${GLITZ} DEPRECATED
- ipkg_ac ${CAIRO} "--enable-glitz"
+### ipkg_ac ${GLITZ}
+ ipkg_ac ${CAIRO}
ipkg_ac ${CAIROMM}
- ipkg_ac ${PANGO}
+ ipkg_ac_nb ${PANGO}
ipkg_ac ${ATK}
ipkg_ac ${GTK} "--without-libjasper"
ipkg_ac ${GTK_ENGINES}
ipkg_ac ${PYGOBJECT}
+ ipkg_ac ${PYCAIRO}
ipkg_ac ${PYGTK}
- ipkg_ac ${LIBSIGCPP}
ipkg_ac ${GC}
ipkg_ac ${GLIBMM}
- ipkg_ac ${GTKMM}
+## ipkg_ac ${GTKMM}
ipkg_cust ${EMACS} cis-emacs
ipkg_ac ${HVCLOCK}
ipkg_ac ${SHARED_MIME_INFO}
ipkg_ac ${STARTUP_NOTIFICATION}
ipkg_ac ${LIBWNCK}
+ ipkg_cust ${ISO_CODES} cis-iso-codes
ipkg_ac ${LIBXKLAVIER}
ipkg_ac ${LIBGLADE}
- ipkg_ac ${LIBSOUP}
+ ipkg_ac ${LIBTASN1}
+ ipkg_ac ${GUILE} \
+ --enable-posix \
+ --disable-static \
+ --enable-networking \
+ --enable-regex
+ ipkg_ac ${LIBGPG_ERROR}
+ ipkg_ac ${LIBGCRYPT}
+ ipkg_ac_nb ${GNUTLS}
ipkg_ac ${LIBIDL}
+
+ # GNOME-2.X configuration
+ rscr mult "Configuring ${GNOME2_VER}" ./cis-gnome-config
+ source /etc/profile
+
+ ipkg_gnome ${ORBIT2}
+ ipkg_cust ${GCONF} cis-gconf
+ ipkg_ac ${LIBPROXY} "--with-gnome"
+ ipkg_gnome ${GNOME_KEYRING}
+ ipkg_ac ${LIBSOUP}
+
fi
ipkg_ac ${HELP2MAN}
ipkg_ac ${GSL}
+
+exit 1
+exit 1
+
ipkg_cust ${CUPS} cis-cups
ipkg_cust ${SPLIX} cis-splix # Drivers Samsung pour CUPS
ipkg_ac ${JASPER} "--enable-shared"
ipkg_ac_nb ${BRIDGE_UTILS}
ipkg_cust ${UML_UTILITIES} cis-uml-utilities
-ipkg_ac ${GUILE} \
- --enable-posix \
- --disable-static \
- --enable-networking \
- --enable-regex
-
ipkg_cust ${CKERMIT} cis-ckermit
# BitTorrent client
+++ /dev/null
-#!/bin/sh
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Common installation script
-./cis-gnome ${*}
-
-# Custom post-installation
-install -v -m755 -d /etc/gnome/${GNOME2_VER}/gconf/gconf.xml.system &&
-
-# Configure D-Bus so that it can search for GNOME installed .conf files
-# (This is assuming that system-local.conf does not exist yet. If it does,
-# then you will need to merge in the changes):
-dbusfile=/etc/dbus-1/system-local.conf &&
-if [ -f ${dbusfile} ]; then
- cat ${dbusfile} >> ${dbusfile}.old
- echo "Warning, file ${dbusfile} already exists,"
- echo "appending content to \"${dbusfile}.old\""
-fi &&
-
-cat > ${dbusfile} << "EOF" &&
-<!DOCTYPE busconfig PUBLIC
- "-//freedesktop//DTD D-BUS Bus Configuration 1.0//EN"
- "http://www.freedesktop.org/standards/dbus/1.0/busconfig.dtd">
-<busconfig>
-
-EOF
-echo " <!-- Search for .conf files in /etc/gnome/${GNOME2_VER}/dbus-1/system.d -->" >> ${dbusfile} &&
-echo " <includedir>/etc/gnome/${GNOME2_VER}/dbus-1/system.d</includedir>" >> ${dbusfile} &&
-echo "</busconfig>" >> ${dbusfile}
-
-exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name.
-# Remaining arguments are additional configure options.
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-PACKAGE=${1}
-shift
-CONFIGURE_OPTS=${*}
-
-# Applying patches (if any)
-apply_patches ${PACKAGE} &&
-
-cd ${LFS_TMP}/${PACKAGE}-build &&
-../${PACKAGE}/configure \
- --prefix=${GNOME2_PREFIX} \
- --libexecdir=${GNOME2_PREFIX}/sbin \
- --sysconfdir=/etc/gnome/${GNOME2_VER} \
- --localstatedir=/var/lib \
- ${CONFIGURE_OPTS} &&
-make &&
-make install &&
-ldconfig
-
-exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# For Gnome 2 variables
-var_add_path "PATH" /etc/profile "/opt/${GNOME2_VER}/bin" &&
-var_export "PATH" /etc/profile &&
-var_add_path "PKG_CONFIG_PATH" /etc/profile "/opt/${GNOME2_VER}/lib/pkgconfig" &&
-var_add_path "PKG_CONFIG_PATH" /etc/profile "/opt/${GNOME2_VER}/share/pkgconfig" &&
-var_export "PKG_CONFIG_PATH" /etc/profile &&
-var_add_path "LIBGLADE_MODULE_PATH" /etc/profile "${GNOME2_PREFIX}/lib/libglade/2.0" &&
-var_export "LIBGLADE_MODULE_PATH" /etc/profile &&
-var_add_path "XDG_CONFIG_DIRS" /etc/profile "/etc/gnome/${GNOME2_VER}/xdg" &&
-var_export "XDG_CONFIG_DIRS" /etc/profile &&
-
-# For Gnome 1 and 2 common variable
-var_add_path "GNOME_LIBCONFIG_PATH" /etc/profile "/usr/lib" &&
-var_export "GNOME_LIBCONFIG_PATH" /etc/profile &&
-
-string_add "/opt/${GNOME2_VER}/lib" /etc/ld.so.conf &&
-
-var_add_path "MANPATH" /etc/profile "/opt/${GNOME2_VER}/man" &&
-var_export "MANPATH" /etc/profile &&
-
-# There is a third mechanism for customizing the search path. If a
-# `dirlist' file exists in acdir, then that file is assumed to contain a
-# list of directories, one per line, to be added to the search list. These
-# directories are searched after all other directories.
-touch /usr/share/aclocal/dirlist &&
-string_add "/opt/${GNOME2_VER}/share/aclocal" /usr/share/aclocal/dirlist &&
-
-cat > /etc/skel/.gtkrc-2.0 << "EOF" &&
-gtk-icon-theme-name="Tango"
-EOF
-
-ldconfig
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name.
-# Remaining arguments are additional configure options.
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-PACKAGE=${1}
-shift
-CONFIGURE_OPTS=${*}
-
-# Applying patches (if any)
-apply_patches ${PACKAGE} &&
-
-cd ${LFS_TMP}/${PACKAGE} &&
-./configure \
- --prefix=${GNOME2_PREFIX} \
- --libexecdir=${GNOME2_PREFIX}/sbin \
- --sysconfdir=/etc/gnome/${GNOME2_VER} \
- --localstatedir=/var/lib \
- ${CONFIGURE_OPTS} &&
-make &&
-make install &&
-ldconfig
-
-exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1} &&
-
-cd ${LFS_TMP}/${1} &&
-./configure \
- --prefix=${GNOME2_PREFIX} \
- --libexecdir=${GNOME2_PREFIX}/sbin \
- --infodir=${GNOME2_PREFIX}/share/info \
- --localstatedir=/var/lib \
- --sysconfdir=/etc/gnome/${GNOME2_VER} &&
-make &&
-make install &&
-ldconfig
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name.
-# Remaining arguments are additional configure options.
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-PACKAGE=${1}
-shift
-CONFIGURE_OPTS=${*}
-
-# Applying patches (if any)
-apply_patches ${PACKAGE} &&
-
-cd ${LFS_TMP}/${PACKAGE}-build &&
-../${PACKAGE}/configure \
- --prefix=/usr \
- --sysconfdir=/etc \
- ${CONFIGURE_OPTS} &&
-make &&
-make pkgconfigdir=/usr/lib/pkgconfig install &&
-ldconfig
-
-# Return last error
-exit $?